{% extends 'base.html.twig' %}

{% block body %}
    <h1>News list</h1>

    <table>
        <thead>
            <tr>
                <th>Id</th>
                <th>Date</th>
                <th>Auteur</th>
                <th>Contenu</th>
                <th>Titre</th>
                <th>Actions</th>
            </tr>
        </thead>
        <tbody>
        {% for news in news %}
            <tr>
                <td><a href="{{ path('news_show', { 'id': news.id }) }}">{{ news.id }}</a></td>
                <td>{% if news.date %}{{ news.date|date('Y-m-d H:i:s') }}{% endif %}</td>
                <td>{{ news.auteur }}</td>
                <td>{{ news.contenu }}</td>
                <td>{{ news.titre }}</td>
                <td>
                    <ul>
                        <li>
                            <a href="{{ path('news_show', { 'id': news.id }) }}">show</a>
                        </li>
                        <li>
                            <a href="{{ path('news_edit', { 'id': news.id }) }}">edit</a>
                        </li>
                    </ul>
                </td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <ul>
        <li>
            <a href="{{ path('news_new') }}">Create a new news</a>
        </li>
    </ul>
{% endblock %}
